Bug 29183 - Add query options documentation
Summary: Add query options documentation
Status: RESOLVED FIXED
Alias: None
Product: Koha
Classification: Unclassified
Component: REST API (show other bugs)
Version: master
Hardware: All All
: P5 - low enhancement (vote)
Assignee: Martin Renvoize
QA Contact: Kyle M Hall
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2021-10-06 12:37 UTC by Martin Renvoize
Modified: 2021-11-19 15:47 UTC (History)
6 users (show)

See Also:
Change sponsored?: ---
Patch complexity: String patch
Text to go in the release notes:
This patch adds documentation of the different filtering methods the REST API provides.
Version(s) released in:
21.11.00


Attachments
Bug 29183: Add some documentation around query filtering (2.19 KB, patch)
2021-10-13 10:40 UTC, Martin Renvoize
Details | Diff | Splinter Review
Bug 29183: Add some documentation around query filtering (2.42 KB, patch)
2021-10-13 10:47 UTC, Martin Renvoize
Details | Diff | Splinter Review
Bug 29183: Add some documentation around query filtering (2.46 KB, patch)
2021-11-08 12:46 UTC, Tomás Cohen Arazi
Details | Diff | Splinter Review
Bug 29183: (follow-up) Add x-koha-query option (1.17 KB, patch)
2021-11-08 12:46 UTC, Tomás Cohen Arazi
Details | Diff | Splinter Review
Bug 29183: Add some documentation around query filtering (2.52 KB, patch)
2021-11-08 14:12 UTC, Kyle M Hall
Details | Diff | Splinter Review
Bug 29183: (follow-up) Add x-koha-query option (1.23 KB, patch)
2021-11-08 14:13 UTC, Kyle M Hall
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Martin Renvoize 2021-10-06 12:37:34 UTC
We should add a section about advanced query syntax available for API routes in swagger.yaml.
Comment 1 Martin Renvoize 2021-10-13 10:40:04 UTC
Created attachment 126175 [details] [review]
Bug 29183: Add some documentation around query filtering
Comment 2 Martin Renvoize 2021-10-13 10:47:42 UTC
Created attachment 126176 [details] [review]
Bug 29183: Add some documentation around query filtering
Comment 3 Tomás Cohen Arazi 2021-11-08 12:46:11 UTC
Created attachment 127447 [details] [review]
Bug 29183: Add some documentation around query filtering

Signed-off-by: Tomas Cohen Arazi <tomascohen@theke.io>
Comment 4 Tomás Cohen Arazi 2021-11-08 12:46:15 UTC
Created attachment 127448 [details] [review]
Bug 29183: (follow-up) Add x-koha-query option

Signed-off-by: Tomas Cohen Arazi <tomascohen@theke.io>
Comment 5 Kyle M Hall 2021-11-08 14:12:54 UTC
Created attachment 127450 [details] [review]
Bug 29183: Add some documentation around query filtering

Signed-off-by: Tomas Cohen Arazi <tomascohen@theke.io>

Signed-off-by: Kyle M Hall <kyle@bywatersolutions.com>
Comment 6 Kyle M Hall 2021-11-08 14:13:06 UTC
Created attachment 127451 [details] [review]
Bug 29183: (follow-up) Add x-koha-query option

Signed-off-by: Tomas Cohen Arazi <tomascohen@theke.io>

Signed-off-by: Kyle M Hall <kyle@bywatersolutions.com>
Comment 7 Jonathan Druart 2021-11-15 11:39:41 UTC
Pushed to master for 21.11, thanks to everybody involved!